/*
 * TestBean.java
 *
 * Created on 15 June 2006, 21:56
 *
 */

package ejb;

import javax.ejb.Stateful;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import test.TestEntity;

/**
 *
 * @author Tinashe
 */
@Stateful
public class TestBean implements ejb.TestLocal {
  
  @PersistenceContext(name="TestApp-ejbPU")
  private EntityManager em;
  /** 
   * Creates a new instance of TestBean 
   */
  public TestBean() {
  }
  
  public TestEntity createEntity(String name,String description){
    TestEntity e = new TestEntity();
    e.setName(name);
    e.setDescription(description);
    em.persist(e);
    return e;
  }
  
}
