/*
 * TestEntity.java
 *
 * Created on 15 June 2006, 21:52
 *
 */

package test;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Column;

/**
 *
 * @author Tinashe
 */
@Entity()
public class TestEntity implements Serializable {
  
  @Id()
  private int id;
  
  @Column()
  private String name;
  
  @Column()
  private String description;
  
  /** Creates a new instance of TestEntity */
  public TestEntity() {
  }

  public String getDescription() {
    return description;
  }

  public int getId() {
    return id;
  }

  public String getName() {
    return name;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public void setId(int id) {
    this.id = id;
  }

  public void setName(String name) {
    this.name = name;
  }
  

}
